# loadcanvas.cpp File Reference

writeme More...

`#include <cstdlib>`
`#include <cstdio>`
`#include <cstring>`
`#include <ETL/stringf>`
`#include <libxml++/libxml++.h>`
`#include <vector>`
`#include <stdexcept>`
`#include <iostream>`
`#include "layer_pastecanvas.h"`
`#include "loadcanvas.h"`
`#include "valuenode.h"`
`#include "valuenode_subtract.h"`
`#include "valuenode_animated.h"`
`#include "valuenode_composite.h"`
`#include "valuenode_const.h"`
`#include "valuenode_linear.h"`
`#include "valuenode_dynamiclist.h"`
`#include "valuenode_reference.h"`
`#include "valuenode_scale.h"`
`#include "valuenode_timedswap.h"`
`#include "valuenode_twotone.h"`
`#include "valuenode_stripes.h"`
`#include "valuenode_segcalctangent.h"`
`#include "valuenode_segcalcvertex.h"`
`#include "valuenode_bline.h"`
`#include "layer.h"`
`#include "string.h"`
`#include "exception.h"`
`#include "gradient.h"`
`#include <map>`
`#include <sigc++/bind.h>`

## Defines

#define | VALUENODE_COMPATIBILITY_URL "http://synfig.org/Convert#Compatibility"

## Functions

bool | is_whitespace (char x)
static std::map< String, Canvas::LooseHandle > * | open_canvas_map_ (0)
std::map< synfig::String, etl::loose_handle< Canvas > > & | synfig::get_open_canvas_map ()
static void | _remove_from_open_canvas_map (Canvas *x)
static void | _canvas_file_name_changed (Canvas *x)
Canvas::Handle | synfig::open_canvas (const String &filename, String &errors, String &warnings)
| Loads a canvas from filename.
Canvas::Handle | synfig::open_canvas_as (const String &filename, const String &as, String &errors, String &warnings)
Vector & | canvas_parser_vector_id (Vector &vector)

## Detailed Description

writeme

$Id$

## Define Documentation

#define VALUENODE_COMPATIBILITY_URL "http://synfig.org/Convert#Compatibility"

## Function Documentation

bool is_whitespace | ( | char | x | ) | `[inline]`

static std::map<String, Canvas::LooseHandle>* open_canvas_map_ | ( | 0 |  | ) | `[static]`

Referenced by synfig::get_open_canvas_map().

static void _remove_from_open_canvas_map | ( | Canvas * | x | ) | `[static]`

References synfig::Canvas::get_file_name(), and synfig::get_open_canvas_map().

Referenced by synfig::CanvasParser::register_canvas_in_map().

static void _canvas_file_name_changed | ( | Canvas * | x | ) | `[static]`

References synfig::Canvas::get_file_name(), and synfig::get_open_canvas_map().

Referenced by synfig::CanvasParser::register_canvas_in_map().

Vector& canvas_parser_vector_id | ( | Vector & | vector | ) |